DROP VIEW IF EXISTS v_vehiclepositions_last_position_v1;
DROP VIEW IF EXISTS v_vehiclepositions_last_position;

CREATE OR REPLACE VIEW v_vehiclepositions_last_position AS 
 SELECT t2.created_at,
    t2.updated_at,
    t2.delay,
    t2.delay_stop_arrival,
    t2.delay_stop_departure,
    t2.next_stop_id,
    t2.shape_dist_traveled,
    t2.is_canceled,
    t2.lat,
    t2.lng,
    t2.origin_time,
    t2.origin_timestamp,
    t2.tracking,
    t2.trips_id,
    t2.create_batch_id,
    t2.created_by,
    t2.update_batch_id,
    t2.updated_by,
    t2.id,
    t2.bearing,
    t2.cis_last_stop_id,
    t2.cis_last_stop_sequence,
    t2.last_stop_id,
    t2.last_stop_sequence,
    t2.next_stop_sequence,
    t2.speed,
    t2.last_stop_arrival_time,
    t2.last_stop_departure_time,
    t2.next_stop_arrival_time,
    t2.next_stop_departure_time,
    t2.asw_last_stop_id,
    t1.gtfs_route_id,
    t1.gtfs_route_short_name,
    t1.gtfs_route_type,
    t1.gtfs_trip_id,
    t1.gtfs_trip_headsign,
    t1.vehicle_type_id,
    t1.wheelchair_accessible
   FROM vehiclepositions_trips t1
     LEFT JOIN vehiclepositions_positions t2 ON t1.last_position_id = t2.id
  WHERE t2.updated_at > (now() - '00:10:00'::interval) AND (t2.state_position::text = ANY (ARRAY['on_track'::character varying, 'off_track'::character varying, 'at_stop'::character varying, 'before_track'::character varying, 'after_track'::character varying, 'canceled'::character varying]::text[]))
  ORDER BY t2.trips_id, t2.updated_at DESC;


CREATE OR REPLACE VIEW v_vehiclepositions_last_position_v1 AS
 SELECT v_vehiclepositions_last_position_v1.created_at,
    v_vehiclepositions_last_position_v1.delay,
    v_vehiclepositions_last_position_v1.delay_stop_arrival,
    v_vehiclepositions_last_position_v1.delay_stop_departure,
    v_vehiclepositions_last_position_v1.next_stop_id AS gtfs_next_stop_id,
    v_vehiclepositions_last_position_v1.shape_dist_traveled AS gtfs_shape_dist_traveled,
    v_vehiclepositions_last_position_v1.is_canceled,
    v_vehiclepositions_last_position_v1.lat,
    v_vehiclepositions_last_position_v1.lng,
    v_vehiclepositions_last_position_v1.origin_time,
    v_vehiclepositions_last_position_v1.origin_timestamp,
    v_vehiclepositions_last_position_v1.tracking,
    v_vehiclepositions_last_position_v1.trips_id,
    v_vehiclepositions_last_position_v1.create_batch_id,
    v_vehiclepositions_last_position_v1.created_by,
    v_vehiclepositions_last_position_v1.update_batch_id,
    v_vehiclepositions_last_position_v1.updated_at,
    v_vehiclepositions_last_position_v1.updated_by,
    v_vehiclepositions_last_position_v1.id,
    v_vehiclepositions_last_position_v1.bearing,
    v_vehiclepositions_last_position_v1.cis_last_stop_id,
    v_vehiclepositions_last_position_v1.cis_last_stop_sequence,
    v_vehiclepositions_last_position_v1.last_stop_id AS gtfs_last_stop_id,
    v_vehiclepositions_last_position_v1.last_stop_sequence AS gtfs_last_stop_sequence,
    v_vehiclepositions_last_position_v1.next_stop_sequence AS gtfs_next_stop_sequence,
    v_vehiclepositions_last_position_v1.speed
   FROM v_vehiclepositions_last_position v_vehiclepositions_last_position_v1;